/*
 * ChartCellRenderer.java
 *
 * Created on 29 settembre 2004, 1.37
 */

package it.businesslogic.ireport.chart.gui;
import it.businesslogic.ireport.chart.*;
import javax.swing.*;
import java.awt.*;
/**
 *
 * @author  Administrator
 */
public class ChartCellRenderer extends javax.swing.DefaultListCellRenderer {
    
    public static javax.swing.ImageIcon icon;
    /** Creates a new instance of ChartCellRenderer */
    public ChartCellRenderer() {
        super();
        if (icon == null)
        {
            icon = new javax.swing.ImageIcon(getClass().getResource("/it/businesslogic/ireport/icons/charts/pie3D.gif"));  
        }
    }
    
    public Component getListCellRendererComponent(
         JList list,
         Object value,
         int index,
         boolean isSelected,
         boolean cellHasFocus)
     {
         JLabel label = (JLabel)super.getListCellRendererComponent(list,value,index,isSelected, cellHasFocus);
         
         if (value instanceof ChartDefinition)
         {
                  label.setText("");
                  label.setIcon(((ChartDefinition)value).getIcon());
                  
         }
         /*
         label.setPreferredSize(new java.awt.Dimension(120,69));
         label.setMinimumSize(new java.awt.Dimension(120,69));
         label.setMaximumSize(new java.awt.Dimension(120,69));
         label.setBorder(new javax.swing.border.EtchedBorder());
            */
         return this;
     }
 }

